Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: sopcast на 13.04  (Прочитано 3287 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн mih3y

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
sopcast на 13.04
« : 10 Октябрь 2013, 19:49:49 »
Всем привет. В убунте понимаю мало чего. Увидел дизайн win8. решил что теперь уж точно пора поробовать что то новое. :idiot2:
Но вот такие программы как сопка и netframework (к сожалению) мне очень нужны.

Читал пару тем но так и не понял можно ли поставить сопку на 13.04. И есть ли разница 64 или 32? понимаю что чуть чуть производительность побольше на моем i5 4gb ram. но если с 32 меньше проблем я не против ее поставить.

пробовал так -
sudo add-apt-repository ppa:ferramroberto/sopcast
sudo apt-get update
sudo apt-get install sopcast-player

 Unable to locate package sopcast-player

и так
wget https://sopcast-player.googlecode.com/files/sopcast-player-0.8.5.tar.gz
tar zxvf sopcast-player-0.8.5.tar.gz
make
make install


при запуске sopcast-player
выдает -

 File "/usr/share/sopcast-player/lib/sopcast-player.py", line 24, in <module>
    import gtk.glade
ImportError: No module named glade


Подскажите, или дайте ссылку что почитать. Спасибо!

Оффлайн john1400

  • Активист
  • *
  • Сообщений: 582
  • debian
    • Просмотр профиля
Re: sopcast на 13.04
« Ответ #1 : 10 Октябрь 2013, 20:07:33 »
В терминале вбейте
sudo apt-get install glade
а потом еще раз пересоберите сопкаст, и смотрите чего нехватает
и в синаптике разыщите что докачать из библиотек

Оффлайн Haron Prime

  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 11317
  • Нетолерантный социопат
    • Просмотр профиля
Re: sopcast на 13.04
« Ответ #2 : 10 Октябрь 2013, 20:11:55 »
Лучше поставьте 32-битную версию - там будет проще
в 64-битной мне так и не удалось собрать работоспособный sopcast-player - пришлось ставить кучу дополнительных библиотек, всё собралось и установилось, но не работает
на 32-битных системах работает даже в убунте 13.10
это если хотите собрать вручную

если просто установить пакет, то ищите темы в данном разделе - я уже пару раз объяснял, как именно устанавливать и выкладывал работоспособные деб-пакеты
кстати, репозитория для убунты 13.04 нет!
новейшая версия, для которой есть собранные пакеты - 12.10
обо всём этом я уже неоднократно писал в данном разделе!
« Последнее редактирование: 10 Октябрь 2013, 20:16:19 от Haron Prime »
sudo ls -a | grep brain > /dev/head

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7732
  • Ex-CNC programmer
    • Просмотр профиля
Re: sopcast на 13.04
« Ответ #3 : 10 Октябрь 2013, 23:35:31 »
В 12.04 работает. А как насчет попробовать подключить репы с 12.04 на твою систему? У меня как-то это прокатывало для какого-то индикатора, может, и для сопкаста проконает?

Оффлайн mih3y

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: sopcast на 13.04
« Ответ #4 : 11 Октябрь 2013, 13:42:22 »
Поставил 32.

wget https://sopcast-player.googlecode.com/files/sopcast-player-0.8.5.tar.gz
tar zxvf sopcast-player-0.8.5.tar.gz
make
make install

запускаю sopcast-player, тоже самое выдает

ImportError: No module named glade

установка glade не помогла.

glade запускается.

что не так? (


12.04 не хочу ставить!

Пользователь решил продолжить мысль 11 Октябрь 2013, 13:59:45:
такк вроде разобраелся)

Нашел пост уважаемого Haron Prime

Цитировать
Открываете "Параметры системы"
Находите пункт "Программы и обновления" (у Вас он может называться чуть иначе, т.к. у меня версия 13.10, в ней кое-что изменили)
Откроется окно "Источники программного обеспечения"
Выбираете вторую вкладку. Она называется "Другое ПО"
Находите нужный репозиторий и кликаете по кнопке "Изменить" внизу окна
Появится ещё одно окно с параметрами данного репозитория. Там нужно изменить raring на quantal
сделал.

потом
sudo apt-get update
sudo apt-get install sopcast-player

тут он пожаловался на sp-auth

wget https://dl.dropboxusercontent.com/u/44746314/sopcast/sp-auth_3.2.6%7Eppa1%7Eprecise3_i386.deb
dpkg -i sp-auth_3.2.6~ppa1~precise3_i386.deb

dpkg: error processing sp-auth (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 sp-auth

sudo apt-get install -f
sudo apt-get install sopcast-player
и заработало!

Всем огромное спасибо! :D





« Последнее редактирование: 11 Октябрь 2013, 14:01:11 от mih3y »

 

Страница сгенерирована за 0.082 секунд. Запросов: 25.